' This example creates a polyline in model space and appends a vertex to it.
Dim myPoints(0 To 8) As Double
myPoints(0) = 7: myPoints(1) = 2: myPoints(2) = 0
myPoints(3) = 9: myPoints(4) = 8: myPoints(5) = 0
myPoints(6) = 15: myPoints(7) = 8: myPoints(8) = 0
Dim myPline As AcadPolyline
Set myPline = ThisDrawing.ModelSpace.AddPolyline(myPoints)
myPline.Update
ThisDrawing.Application.ZoomExtents
Dim newVertex As Variant
newVertex = ThisDrawing.Utility.GetPoint(, "Pick a point for a new vertex.")
myPline.AppendVertex newVertex
ThisDrawing.Application.ZoomExtents
End Sub
Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved. |